@import url('../requirements/requirements.css');

body {
    background-color: var(--white);
}

section {
    padding: 0 10em;
    overflow: hidden;
    margin: auto;
}

.first_paragraph,
.second_paragraph,
.third_paragraph,
.fourth_paragraph {
    display: flex;
    height: 70vh;
    flex-direction: row;
    align-items: center;
    padding: 2em;
    margin: 8em 0;
    user-select: none;
}

.img img {
    width: 22em;
    border-radius: 3em;
    transition: all 0.3s ease;
}

.img img:nth-of-type(odd) {
    outline: 0.3em solid var(--darkblue);
}

.img img:nth-of-type(even) {
    outline: 0.3em solid var(--red);
}

.img img+img {
    position: relative;
    top: 1em;
    left: 1em;
}

.img img:nth-of-type(odd):hover {
    cursor: pointer;
    transform: translateX(-0.5em) translateY(-0.5em) scale(1.05);
}

.img img:nth-of-type(even):hover {
    cursor: pointer;
    transform: translateX(0.5em) translateY(0.5em) scale(1.05);
}

.img img:nth-of-type(odd):active {
    box-shadow: 0 0 0 var(--darkblue);
    transform: translateX(-0.3em) translateY(-0.3em) scale(1.1);
}

.img img:nth-of-type(even):active {
    box-shadow: 0 0 0 var(--blue);
    transform: translateX(0.3em) translateY(0.3em) scale(1.1);
}

.text {
    border-radius: 3em;
    overflow: hidden;
    backdrop-filter: blur(25px);
    box-shadow: 0 4px 1em rgba(0, 0, 0, .2);
}

.text h1 {
    font-family: var(--crimson);
    text-align: center;
    font-size: 3em;
    background: var(--darkblue);
    backdrop-filter: blur(10px);
    font-weight: bold;
    color: var(--white);
    padding: 1em;
}

.text:nth-of-type(odd) h1 {
    background: var(--darkred);
}

.text p {
    padding: 1em;
    color: var(--black);
    font-weight: bolder;
    font-family: var(--palanquin);
    background: rgba(255, 255, 255, 0.3);
    text-align: center;
    font-size: 1.5em;
}

.text:nth-of-type(odd) {
    margin-right: 5em;
}

.text:nth-of-type(even) {
    margin-left: 5em;
}

.curved-bg {
    /* filter: blur(3px); */
    animation: appear 1s ease-in-out;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: -1;
    background-color: #669bbc;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100' height='18' viewBox='0 0 100 18'%3E%3Cpath fill='%23fdf0e6' fill-opacity='1' d='M61.82 18c3.47-1.45 6.86-3.78 11.3-7.34C78 6.76 80.34 5.1 83.87 3.42 88.56 1.16 93.75 0 100 0v6.16C98.76 6.05 97.43 6 96 6c-9.59 0-14.23 2.23-23.13 9.34-1.28 1.03-2.39 1.9-3.4 2.66h-7.65zm-23.64 0H22.52c-1-.76-2.1-1.63-3.4-2.66C11.57 9.3 7.08 6.78 0 6.16V0c6.25 0 11.44 1.16 16.14 3.42 3.53 1.7 5.87 3.35 10.73 7.24 4.45 3.56 7.84 5.9 11.31 7.34zM61.82 0h7.66a39.57 39.57 0 0 1-7.34 4.58C57.44 6.84 52.25 8 46 8S34.56 6.84 29.86 4.58A39.57 39.57 0 0 1 22.52 0h15.66C41.65 1.44 45.21 2 50 2c4.8 0 8.35-.56 11.82-2z'%3E%3C/path%3E%3C/svg%3E");
    background-size: cover;
    pointer-events: none;
    /* Permite que los eventos del mouse pasen a través de este elemento */
}


/*RESPONSIVE*/

@media (max-width: 1200px) {
    section {
        padding: 0;
        justify-content: center;
        align-items: center;
    }

    .first_paragraph,
    .second_paragraph,
    .third_paragraph,
    .fourth_paragraph {
        border-top: 3px dashed var(--darkblue);
        flex-direction: column;
        height: auto;
        margin: 0;
    }

    .img {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .img img {
        width: 90%;
        margin: 1em;
    }

    .img img+img {
        position: inherit;
    }

    .text {
        width: 90%;
        margin: 1em;
    }

    .text:nth-of-type(odd) {
        margin-right: 0;
    }

    .text:nth-of-type(even) {
        margin-left: 0;
    }

    .text:nth-of-type(odd) h1 {
        background: var(--darkblue);
    }

    .text:nth-of-type(even) h1 {
        background: var(--darkred);
    }

    .text p {
        font-size: 1em;
    }

    .text h1 {
        font-size: 2em;
    }

    .curved-bg {
        background-size: cover;
    }
}